www/p5-HTML-Restrict - The NetBSD Packages Collection

Perl5 module for stripping unwanted HTML tags and attributes

This module uses HTML::Parser to strip HTML from text in a restrictive
manner. By default all HTML is restricted. You may alter the default
behaviour by supplying your own tag rules.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Data-Dump www/p5-HTML-Parser devel/p5-List-MoreUtils devel/p5-Module-Build devel/p5-Moo devel/p5-Type-Tiny www/p5-libwww devel/p5-namespace-clean lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 8.0earmv7hfp5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 8.0earmv7hfp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 8.0i386p5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 8.0i386p5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 8.0powerpcp5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 8.0powerpcp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 8.0powerpcp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 8.0powerpcp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 8.0x86_64p5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 8.0x86_64p5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0aarch64p5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0aarch64p5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 9.0aarch64p5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0alphap5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0alphap5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 9.0alphap5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0earmp5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 9.0earmp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0earmp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0earmv6hfp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0earmv6hfp5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 9.0earmv6hfp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0earmv7hfp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0earmv7hfp5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 9.0earmv7hfp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0earmv7hfp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0i386p5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 9.0i386p5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0i386p5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0mips64ebp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0mips64ebp5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 9.0mips64ebp5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 9.0mips64ebp5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 9.0mips64ebp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0powerpcp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0powerpcp5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 9.0powerpcp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0powerpcp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0sh3elp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0sh3elp5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 9.0sh3elp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0sparc64p5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0sparc64p5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 9.0sparc64p5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0sparcp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0sparcp5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 9.0sparcp5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 9.0sparcp5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 9.0sparcp5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0x86_64p5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0x86_64p5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0x86_64p5-HTML-Restrict-3.0.0nb2.tgz
NetBSD 9.0x86_64p5-HTML-Restrict-3.0.0nb3.tgz
NetBSD 9.0x86_64p5-HTML-Restrict-3.0.0nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.